## Font Properties

Font Properties — Fontconfig property configuration

## Functions

FontManagerProperties * | font_manager_properties_new ()
gboolean | font_manager_properties_load ()
gboolean | font_manager_properties_save ()
gboolean | font_manager_properties_discard ()
gchar * | font_manager_properties_get_filepath ()
void | font_manager_properties_reset ()

## Properties

gboolean | antialias | Read / Write
gboolean | autohint | Read / Write
char * | config-dir | Read / Write
double | dpi | Read / Write
gboolean | embeddedbitmap | Read / Write
gboolean | hinting | Read / Write
int | hintstyle | Read / Write
int | lcdfilter | Read / Write
double | less | Read / Write
double | more | Read / Write
int | rgba | Read / Write
double | scale | Read / Write
char * | target-file | Read / Write
int | type | Read / Write

## Types and Values

#define | FONT_MANAGER_TYPE_PROPERTIES
struct | FontManagerPropertiesClass
enum | FontManagerPropertiesType
#define | FONT_MANAGER_TYPE_PROPERTIES_TYPE
| FontManagerProperties

## Object Hierarchy

        GEnum
        ╰── FontManagerPropertiesType
        GObject
        ╰── FontManagerProperties

## Includes

    #include <font-manager-properties.h>

## Description

Base class for generating fontconfig configuration files which modify font properties.

## Functions

### font_manager_properties_new ()

    FontManagerProperties *
    font_manager_properties_new (void);

#### Returns

A newly created FontManagerProperties Free the returned object using ``g_object_unref()``.

[transfer full]

### font_manager_properties_load ()

    gboolean
    font_manager_properties_load (FontManagerProperties *self);

#### Parameters

self | FontManagerProperties |

#### Returns

`TRUE` if current configuration file was successfully loaded

### font_manager_properties_save ()

    gboolean
    font_manager_properties_save (FontManagerProperties *self);

#### Parameters

self | FontManagerProperties |

#### Returns

`TRUE` if current configuration was successfully saved to file

### font_manager_properties_discard ()

    gboolean
    font_manager_properties_discard (FontManagerProperties *self);

#### Parameters

self | FontManagerProperties |

#### Returns

`TRUE` if current configuration was successfully discarded

### font_manager_properties_get_filepath ()

    gchar *
    font_manager_properties_get_filepath (FontManagerProperties *self);

#### Parameters

self | FontManagerProperties |

#### Returns

a newly allocated string containing the full filepath to current configuration file or `NULL`. Free the result using ``g_free()``.

[transfer full][nullable]

### font_manager_properties_reset ()

    void
    font_manager_properties_reset (FontManagerProperties *self);

Reset all base properties to their default values

#### Parameters

self | FontManagerProperties |

## Types and Values

### FONT_MANAGER_TYPE_PROPERTIES

    #define FONT_MANAGER_TYPE_PROPERTIES (font_manager_properties_get_type())

### struct FontManagerPropertiesClass

    struct FontManagerPropertiesClass {
        GObjectClass parent_class;

        gboolean (* load) (FontManagerProperties *self);
        gboolean (* save) (FontManagerProperties *self);

        void (* parse_test_node) (FontManagerProperties *self, xmlNode *test_node);
        void (* parse_edit_node) (FontManagerProperties *self, xmlNode *edit_node);
        void (* add_match_criteria) (FontManagerProperties *self, FontManagerXmlWriter *writer);
    };

#### Members

`load` () | load configuration from file |
`save` () | save configuration to file |
`parse_test_node` () | parse a fontconfig test node |
`parse_edit_node` () | parse a fontconfig edit node |
`add_match_criteria` () | add additional test elements |

### enum FontManagerPropertiesType

#### Members

FONT_MANAGER_PROPERTIES_TYPE_DEFAULT | fontconfig font properties |
FONT_MANAGER_PROPERTIES_TYPE_DISPLAY | fontconfig display properties |

### FONT_MANAGER_TYPE_PROPERTIES_TYPE

    #define FONT_MANAGER_TYPE_PROPERTIES_TYPE (font_manager_properties_type_get_type ())

### FontManagerProperties

    typedef struct _FontManagerProperties FontManagerProperties;

## Property Details

### The `“antialias”` property

      “antialias”                gboolean

Whether to use anti-aliasing or not.

Owner: FontManagerProperties

Flags: Read / Write

Default value: FALSE

### The `“autohint”` property

      “autohint”                 gboolean

Whether to use autohinting or not.

Owner: FontManagerProperties

Flags: Read / Write

Default value: FALSE

### The `“config-dir”` property

      “config-dir”               char *

Fontconfig configuration directory.

Owner: FontManagerProperties

Flags: Read / Write

Default value: NULL

### The `“dpi”` property

      “dpi”                      double

Screen DPI.

Owner: FontManagerProperties

Flags: Read / Write

Allowed values: >= 0

Default value: 96

### The `“embeddedbitmap”` property

      “embeddedbitmap”           gboolean

Whether to use embedded bitmaps or not.

Owner: FontManagerProperties

Flags: Read / Write

Default value: FALSE

### The `“hinting”` property

      “hinting”                  gboolean

Whether to use hinting or not.

Owner: FontManagerProperties

Flags: Read / Write

Default value: FALSE

### The `“hintstyle”` property

      “hintstyle”                int

Fontconfig hintstyle.

Owner: FontManagerProperties

Flags: Read / Write

Allowed values: [0,4]

Default value: 0

### The `“lcdfilter”` property

      “lcdfilter”                int

Fontconfig LCD filter.

Owner: FontManagerProperties

Flags: Read / Write

Allowed values: [0,6]

Default value: 0

### The `“less”` property

      “less”                     double

Lower size limit.

Owner: FontManagerProperties

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“more”` property

      “more”                     double

Upper size limit.

Owner: FontManagerProperties

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rgba”` property

      “rgba”                     int

Fontconfig RGBA.

Owner: FontManagerProperties

Flags: Read / Write

Allowed values: [0,4]

Default value: 0

### The `“scale”` property

      “scale”                    double

Scale factor.

Owner: FontManagerProperties

Flags: Read / Write

Allowed values: >= 0

Default value: 1

### The `“target-file”` property

      “target-file”              char *

Name of fontconfig configuration file.

Owner: FontManagerProperties

Flags: Read / Write

Default value: NULL

### The `“type”` property

      “type”                     int

FontManagerPropertiesType.

Owner: FontManagerProperties

Flags: Read / Write

Allowed values: [0,1]

Default value: 0